FROM golang:1.24-bookworm

RUN apt-get update && apt-get install -y \
    pkg-config \
    libopus-dev \
    libopusfile-dev \
    && rm -rf /var/lib/apt/lists/*

WORKDIR /app
COPY go.mod go.sum ./
RUN go mod download

COPY . .
RUN go build -o ts-client ./cmd/client/main.go

ENTRYPOINT ["./ts-client"]
